## org.exist.xquery
Class Pragma

    java.lang.Object
      org.exist.xquery.Pragma

Direct Known Subclasses:
  BatchTransactionPragma, TimerPragma

public abstract class Pragma
extends java.lang.Object

Constructor Summary
`Pragma(QName qname, java.lang.String contents)`

Method Summary
`abstract void` `after(XQueryContext context, Expression expression)`
`abstract void` `before(XQueryContext context, Expression expression)`
`Sequence` `eval(Sequence contextSequence, Item contextItem)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pragma

    public Pragma(QName qname,
                  java.lang.String contents)
           throws XPathException

Method Detail

### eval

    public Sequence eval(Sequence contextSequence,
                         Item contextItem)
                  throws XPathException

  Throws:
    `XPathException`

### before

    public abstract void before(XQueryContext context,
                                Expression expression)
                         throws XPathException

  Throws:
    `XPathException`

### after

    public abstract void after(XQueryContext context,
                               Expression expression)
                        throws XPathException

  Throws:
    `XPathException`

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.